/**********************************************
* Zeus CMD - C++ Tutorial 41 : Dynamic Arrays *
* By Grant James (ZEUS)                       *
* http://www.zeuscmd.com                      *
**********************************************/
#include <iostream>
#include <stdlib.h>
#include <fstream>

using namespace std;

int main()
{
	int *cnums = NULL;
	int *cppnums = NULL;

	int numNums;

	ifstream fin("in.txt");

	fin >> numNums >> ws;

	// C Dynamic Array
	//-----------------
	cnums = (int *)malloc(sizeof(int) * numNums);

	// C++ Dynamic Array
	//-------------------
	cppnums = new int[numNums];

	int temp = 0;
	for (int i = 0; i < numNums; i++)
	{
		fin >> temp >> ws;

		cnums[i] = temp;
		cppnums[i] = temp;
	}

	fin.close();

	for (int i = 0; i < numNums; i++)
		cout << "c : " << cnums[i]
		<< " cpp : " << cppnums[i] << endl;

	cout << *(cppnums + 2) << endl;

	// C Release of Array
	//--------------------
	free(cnums);

	// C++ Release of Array
	//----------------------
	delete[] cppnums;

	system("pause");

	return 0;
}
